- Main Page
- Classes
- Files

- Class List
- Class Members

# bmpInfoHeaderGeneric Struct Reference

List of all members.

## Public Attributes
u16 | bmpType
u32 | bmpSize
s32 | bmpWidth
s32 | bmpHeight
u16 | bmpByteWidth
u16 | bmpPlanes
u16 | bmpBPP
u32 | bmpCompression
u32 | bmpImageSize
s32 | bmpXResolution
s32 | bmpYResolution
u32 | bmpColorsUsed
u32 | bmpColorsImportant
u32 | bmpRedMask
u32 | bmpGreenMask
u32 | bmpBlueMask
u32 | bmpAlphaMask
u32 | bmpCSType
s32 | bmpEndpoints [9]
u32 | bmpGammaRed
u32 | bmpGammaGreen
u32 | bmpGammaBlue
u32 | bmpIntent
u32 | bmpProfileData
u32 | bmpProfileSize
u16 | bmpUnits
u16 | bmpReserved
u16 | bmpRecording
u16 | bmpRendering
u32 | bmpSize1
u32 | bmpSize2
u32 | bmpColorEncoding
u32 | bmpIdentifier

## Detailed Description

Definition at line 139 of file flTextureBMP.c.

## Member Data Documentation

u16 bmpInfoHeaderGeneric::bmpType

Definition at line 140 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpSize

Definition at line 141 of file flTextureBMP.c.

Referenced by texLoadBMP().

s32 bmpInfoHeaderGeneric::bmpWidth

Definition at line 142 of file flTextureBMP.c.

Referenced by texLoadBMP().

s32 bmpInfoHeaderGeneric::bmpHeight

Definition at line 143 of file flTextureBMP.c.

Referenced by texLoadBMP().

u16 bmpInfoHeaderGeneric::bmpByteWidth

Definition at line 144 of file flTextureBMP.c.

Referenced by texLoadBMP().

u16 bmpInfoHeaderGeneric::bmpPlanes

Definition at line 145 of file flTextureBMP.c.

Referenced by texLoadBMP().

u16 bmpInfoHeaderGeneric::bmpBPP

Definition at line 146 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpCompression

Definition at line 147 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpImageSize

Definition at line 148 of file flTextureBMP.c.

Referenced by texLoadBMP().

s32 bmpInfoHeaderGeneric::bmpXResolution

Definition at line 149 of file flTextureBMP.c.

Referenced by texLoadBMP().

s32 bmpInfoHeaderGeneric::bmpYResolution

Definition at line 150 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpColorsUsed

Definition at line 151 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpColorsImportant

Definition at line 152 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpRedMask

Definition at line 153 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpGreenMask

Definition at line 154 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpBlueMask

Definition at line 155 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpAlphaMask

Definition at line 156 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpCSType

Definition at line 157 of file flTextureBMP.c.

Referenced by texLoadBMP().

s32 bmpInfoHeaderGeneric::bmpEndpoints[9]

Definition at line 158 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpGammaRed

Definition at line 159 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpGammaGreen

Definition at line 160 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpGammaBlue

Definition at line 161 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpIntent

Definition at line 162 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpProfileData

Definition at line 163 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpProfileSize

Definition at line 164 of file flTextureBMP.c.

Referenced by texLoadBMP().

u16 bmpInfoHeaderGeneric::bmpUnits

Definition at line 165 of file flTextureBMP.c.

Referenced by texLoadBMP().

u16 bmpInfoHeaderGeneric::bmpReserved

Definition at line 166 of file flTextureBMP.c.

Referenced by texLoadBMP().

u16 bmpInfoHeaderGeneric::bmpRecording

Definition at line 167 of file flTextureBMP.c.

Referenced by texLoadBMP().

u16 bmpInfoHeaderGeneric::bmpRendering

Definition at line 168 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpSize1

Definition at line 169 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpSize2

Definition at line 170 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpColorEncoding

Definition at line 171 of file flTextureBMP.c.

Referenced by texLoadBMP().

u32 bmpInfoHeaderGeneric::bmpIdentifier

Definition at line 172 of file flTextureBMP.c.

Referenced by texLoadBMP().

The documentation for this struct was generated from the following file:

- flTextureBMP.c